dtmf_tx_state_s Struct Reference

`#include <dtmf.h>`

## Public Attributes

tone_gen_state_t | tones
float | low_level
float | high_level
int | on_time
int | off_time
union { |
queue_state_t queue |
uint8_t buf [QUEUE_STATE_T_SIZE(MAX_DTMF_DIGITS)] |
} | queue

## Detailed Description

DTMF generator state descriptor. This defines the state of a single working instance of a DTMF generator.

The documentation for this struct was generated from the following file:

- private/dtmf.h